curl --request POST \
--url 'https://api.stateset.com/api/v1/cycle-counts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"counted_by": "string",
"lines": [
{
"expected_quantity": "string",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN"
}
],
"location_id": 1001,
"scheduled_date": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}'
{
"completed_at": "2026-08-31T14:22:05Z",
"counted_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lines": [
{
"counted_quantity": "string",
"expected_quantity": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"variance": "string"
}
],
"location_id": 1001,
"scheduled_date": "2026-08-31T14:22:05Z",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}
Create a cycle count
Create a cycle count
POST
/
api
/
v1
/
cycle-counts
curl --request POST \
--url 'https://api.stateset.com/api/v1/cycle-counts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"counted_by": "string",
"lines": [
{
"expected_quantity": "string",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN"
}
],
"location_id": 1001,
"scheduled_date": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}'
{
"completed_at": "2026-08-31T14:22:05Z",
"counted_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lines": [
{
"counted_quantity": "string",
"expected_quantity": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"variance": "string"
}
],
"location_id": 1001,
"scheduled_date": "2026-08-31T14:22:05Z",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}
Request body
CreateCycleCountRequest
string,null
CreateCycleCountLineRequest[]
required
integer,null (int32)
string,null
RFC3339 timestamp for the scheduled count date.
integer (int32)
required
Response
CycleCountResponse
string,null
string,null
string
required
string
required
CycleCountLineResponse[]
required
integer,null (int32)
string,null
string
required
string
required
integer (int32)
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
422 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/cycle-counts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"counted_by": "string",
"lines": [
{
"expected_quantity": "string",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN"
}
],
"location_id": 1001,
"scheduled_date": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}'
{
"completed_at": "2026-08-31T14:22:05Z",
"counted_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lines": [
{
"counted_quantity": "string",
"expected_quantity": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"variance": "string"
}
],
"location_id": 1001,
"scheduled_date": "2026-08-31T14:22:05Z",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}
Last modified on August 31, 2026